This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 848893 - Group view seems to hide empty groups
Group view seems to hide empty groups
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: 850229
  Show dependency treegraph
 
Reported: 2012-08-16 13:51 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 850229 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:00:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-08-16 13:51:53 EDT
When trying to deploy a bundle to a group, I see a group called "as7" in the dropdown. I did create that group earlier.

When looking at inventory->groups, no group is shown.

Looking at the database, it shows that the group 'as7' is indeed present, it just has no explicit members.
Comment 1 Heiko W. Rupp 2012-08-16 13:53:34 EDT
Also as7 server -> inventory -> groups -> membership shows that the as7 group exists.
Comment 2 Charles Crouch 2012-08-20 11:16:39 EDT
Based on initial comments from jsanda about this being fixable safely provisionally targeting at 311, still pending more detailed comment from jsanda
Comment 3 John Sanda 2012-08-20 12:18:52 EDT
This is a regression introduced as part of the work for bug 826493. I have committed a change to master so that empty groups are filtered only for availability searches/queries. 

commit hash: 5d472dce

While testing, I stumbled across another issue where an empty compatible group shows up under mixed groups. This is already logged under bug 708929.
Comment 4 Heiko W. Rupp 2013-09-01 06:00:01 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.